Bug 140239 - Request for manpage doc change in hostname
Summary: Request for manpage doc change in hostname
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: net-tools
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-21 17:13 UTC by Kim Lux
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-11-25 14:05:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:052 normal SHIPPED_LIVE net-tools bug fix update 2005-04-28 04:00:00 UTC
Red Hat Product Errata RHBA-2005:242 normal SHIPPED_LIVE net-tools bug fix update 2005-06-09 04:00:00 UTC
Red Hat Product Errata RHBA-2005:445 normal SHIPPED_LIVE net-tools bug fix update 2005-05-19 04:00:00 UTC

Description Kim Lux 2004-11-21 17:13:25 UTC
Description of problem: 
 
Current hostname manpage doc is misleading. 
 
Version-Release number of selected component (if applicable): 
 
 
 
From manpage: net-tools  28 Jan 1996 HOSTNAME(1) 
 
rpm -q net-tools net-tools-1.60-37 
 
 
How reproducible: 
 
 
Always.  
 
 
Steps to Reproduce: 
1. hostname <mynewhostname> 
2. reboot 
3.  
   
Actual results: 
 
hostname will be localhost.  
 
Expected results: 
 
hostname should be <mynewhostname> 
 
OR we should change the hostname documentation so that people don't 
think it changed the hostname permanently.  
 
Additional info: 
 
I know that one must change /etc/sysconfig/network and /etc/hosts to 
get a new properly working hostname.  Either we should change how 
hostname works on RH installations OR we should change the manpage to 
tell people that it doesn't work on RH machines OR we should leave 
hostname (and other functions/options that don't work properly) out 
of RH machines.  
 
To have a manpage that is wrong is the worst sin as far as I am 
concerned.

Comment 1 Radek Vokal 2004-11-22 10:30:46 UTC
hostname just calls sethostname(const char *name, size_t len) for
setting the name and doesn't touch the conf files itself. I'm
reassigning this to glibc for futher comments. 

Comment 2 Radek Vokal 2004-11-22 10:39:51 UTC
One additional comment that also can suit here. If you change the
hostname in s-c-network it does not automatically change your
/etc/hosts! If the new hostname does not resolv to a IP address
through DNS or /etc/hosts, it is added to localhost.

Comment 5 Radek Vokal 2004-11-25 14:05:59 UTC
Fixed in net-tools-1.60-41. Note into man page added. 

Comment 6 Kim Lux 2004-11-25 14:51:28 UTC
Thanks for making this change.  I'm impressed that it was given
consideration and acted on.

Comment 7 John Flanagan 2005-04-28 15:36:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-052.html


Comment 8 Tim Powers 2005-05-19 18:48:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-445.html



Note You need to log in before you can comment on or make changes to this bug.